package com.gh.gamecenter.catalog

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.base.DownloadToolbarActivity
import com.gh.gamecenter.R
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.common.utils.updateStatusBarColor

class CatalogActivity : DownloadToolbarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setToolbarMenu(R.menu.menu_download)
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    override fun showDownloadMenu(): Boolean {
        return true
    }

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(this, CatalogActivity::class.java, CatalogFragment::class.java)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    override fun isAutoResetViewBackgroundEnabled() = true

    companion object {
        fun getIntent(context: Context, catalogId: String, catalogTitle: String, entrance: String): Intent {
            val bundle = Bundle()
            bundle.putString(EntranceConsts.KEY_CATALOG_ID, catalogId)
            bundle.putString(EntranceConsts.KEY_CATALOG_TITLE, catalogTitle)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance)
            return getTargetIntent(context, CatalogActivity::class.java, CatalogFragment::class.java, bundle)
        }
    }
}